Exemplo n.º 1
0
        public void CMD_PosLicense()
        {
            CheckLicense.LicenseInformation();

            Autodesk.AutoCAD.ApplicationServices.Application.DisplayTextScreen = true;

            PromptKeywordOptions opts = new PromptKeywordOptions("Lisansınızı değiştirmek istiyor musunuz? [Evet/Hayır]: ", "Yes No");

            opts.AllowNone = false;
            PromptResult result = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor.GetKeywords(opts);

            if (result.Status == PromptStatus.OK)
            {
                if (result.StringResult == "Yes")
                {
                    CheckLicense.Request();
                }
            }
        }